AI Sync

Builder

Enrollment History

GEThttps://app.rizzdial.com/api/Workflow/builder/{id}/enrollment-history
Enrollment History
curl --request GET \
  --url 'https://app.rizzdial.com/api/Workflow/builder/MQ==/enrollment-history?per_page=15' \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "records": []
  },
  "success": true,
  "retention_days": 30
}

Enrollment History#

Enrollment history for this workflow (retained for 30 days).

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 workflow id from List Workflows

start_datestringquery

Start date

end_datestringquery

End date

eventstringquery

Trigger type

contact_idstringquery

Contact id

contact_searchstringquery

Search contacts

statusstringquery

Execution status

per_pageintegerquery

Rows per page

curl --request GET \
  --url https://app.rizzdial.com/api/Workflow/builder/MQ==/enrollment-history \
  --header 'Authorization: Bearer {{bearer_token}}'
data.recordsarray

Enrollment rows plus pagination